Subject: bug#12443: 24.2.50; Default values in the minibuffer prompt (fix inconsisntecy)

From: Juri Linkov <[email-masked]>
Date: Wed, 09 Sep 2020 21:50:06 +0300

> Sixth arg DEFAULT-VALUE, if non-nil, should be a string, which is used
>   as the default to ‘read’ if READ is non-nil and the user enters
>   empty input.  But if READ is nil, this function does _not_ return
>   DEFAULT-VALUE for empty input!  Instead, it returns the empty string.
>
> But what a...  strange interface.

It seems this "default" value is needed here only for convenience
of retrieving it into the minibuffer for editing using the M-n key.